### Constructor

# Adw ApplicationWindow new

#### Declaration [src]

    GtkWidget*
    adw_application_window_new (
      GtkApplication* app
    )

#### Description [src]

Creates a new `AdwApplicationWindow` for `app`.

Available since: | 1.0

#### Parameters

`app` | `GtkApplication`
| An application instance.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| The newly created `AdwApplicationWindow`
| The data is owned by the called function.